Subject: Punch

From: Mike Linn <[email-masked]>
Date: Sun, 17 Mar 96 17:50 EST

I bought a combination hand/bench punch a few weeks ($5) ago but I
cannot seem to find any dies for it. Can anyone help? its a C type punch
with a handle to hold and a handle to press. It also has a bench mounted
bracket it fits into for more vigorous punching. On one side of the throat
it says "Parker-Kalon Corp. NY USA" on the other side "P K Metal Punch Drop
Forged Steel" Then on the back under the handle it says "No. X.X." I checked
the online thomas registry but only found a screw co out of Conn. I havent
called them yet but if no one knows about this then i'll give 'em a hollar.

thanks

mike
                                    _///_
                                   /(o o)\
===============================o000o=(_)=o000o====
               Michael Linn 
            Artisian Blacksmith
              AFC Web Master
 http://www.the-matrix.com/afc/index.html
==================================================
Smile, it makes people wonder what you've been up to.